<h2>Products 1</h2>

<div *ngFor="let product of products">
  
  <h3>
    <a [title] = "product.name + ' details'">
   {{product.name}}
    </a>
  
  <p *ngIf="product.description">
    {{product.description}}
  </p>


  </h3>

  <button (click) = "share()">Share</button>

  <app-product-alerts 
  [product] = "product"
  (notify) = "onNotify()"
  >

  </app-product-alerts>

</div>
<!-- 
Copyright Google LLC. All Rights Reserved.
Use of this source code is governed by an MIT-style license that
can be found in the LICENSE file at http://angular.io/license
-->